Skip to main content

Type Alias: GatewayInferenceFunctionToolCallOutputResource

type GatewayInferenceFunctionToolCallOutputResource = {
[key: string]: unknown;
id: string;
type: "function_call_output";
call_id: string;
output: string;
status?: "in_progress" | "completed" | "incomplete";
};

Defined in: src/models/ai-gateway-inference.ts:6763

Portkey FunctionToolCallOutputResource; additive response fields are preserved.

Example​

`GatewayInferenceFunctionToolCallOutputResourceSchema.parse(value);`

Indexable​

[key: string]: unknown

Properties​

id​

id: string;

Defined in: src/models/ai-gateway-inference.ts:6764


type​

type: "function_call_output";

Defined in: src/models/ai-gateway-inference.ts:6765


call_id​

call_id: string;

Defined in: src/models/ai-gateway-inference.ts:6766


output​

output: string;

Defined in: src/models/ai-gateway-inference.ts:6767


status?​

optional status?: "in_progress" | "completed" | "incomplete";

Defined in: src/models/ai-gateway-inference.ts:6768